Summary: A Portable Implementation of MPI
Name: mpich
Version: 1.2.0
Release: 5
Copyright: freely distributable
Group: Development/Libraries
Source: ftp://ftp.mcs.anl.gov/pub/mpi/mpich-1.2.0.tar.gz
Patch0: mpich-1.2.0-buildroot.patch
BuildRoot: /var/tmp/mpich-root

%description
MPICH is a freely available, portable implementation of MPI (Message Passing
Interface), the Standard for message-passing libraries. 

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure -prefix=/usr/share/mpi
make 


%install
rm -rf $RPM_BUILD_ROOT
export OPT_CFLAGS="-I$RPM_BUILD_ROOT/usr/share/mpi/include \
	-I$RPM_BUILD_ROOT/usr/share/mpi/include/c++"
export OPT_LDFLAGS="-L$RPM_BUILD_ROOT/usr/share/mpi/lib"
make install PREFIX=$RPM_BUILD_ROOT/usr/share/mpi

#fix for broken link
(cd $RPM_BUILD_ROOT/usr/share/mpi/mpe_examples
	rm mpirun
	ln -sf ../bin/mpirun mpirun
)

# reorg some things to be more FSstnd
#install -d -m 755  $RPM_BUILD_ROOT/usr/share/mpi
#mv -v $RPM_BUILD_ROOT/usr/share/{Makefile.sample,machines.LINUX*,machines.sample} \
#	$RPM_BUILD_ROOT/usr/share/mpi
#mv -v $RPM_BUILD_ROOT/usr/{build,examples,mpe_examples,MPI-2-C++} \
#	$RPM_BUILD_ROOT/usr/share/mpi
#rm -f $RPM_BUILD_ROOT/usr/sbin/mpiuninstall

# for some reason this PERL thing isn't working...
perl -p -i -e "s|\@PERL@|/usr/bin/perl|g;" \
	$RPM_BUILD_ROOT/usr/share/mpi/sbin/chkserv

# get rid of the $RPM_BUILD_ROOT
find $RPM_BUILD_ROOT/usr -type f \
   -exec perl -p -i -e "s|$RPM_BUILD_ROOT||g;" {} \;
#find $RPM_BUILD_ROOT -type l -name mpirun -exec ln -sfv /usr/bin/mpirun {} \;

# This is just a tcl/tk based log viewer.  I don't want mpich to require
# tcl/tk and X just to install.
rm $RPM_BUILD_ROOT/usr/share/mpi/bin/upshot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYRIGHT KnownBugs README www doc/guide.ps.gz 
/usr/share/mpi
#/usr/bin/*
#/usr/lib/lib*.a
#/usr/lib/*.o
#/usr/include/*.h
#/usr/include/c++/*.h
#/usr/man/*/*
#/usr/sbin/*

%changelog
* Fri Feb 25 2000 Tim Powers <timp@redhat.com>
- built for Powertools 6.2

* Fri Feb 18 2000 Mike Wangsmo <wanger@redhat.com>
- moved everything to /usr/share/mpi so mpi can coexist w/ LAM

* Fri Feb 04 2000 Mike Wangsmo <wanger@redhat.com>
- pulled out upshot (I don't mpich to require X).

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- buildroot
